読者です 読者をやめる 読者になる 読者になる

Macports の更新(selfupdate)

Warning: port definitions are more than two weeks old, consider using selfupdate

って、出た時のやり方を忘れるので。

sudo port selfupdate
sudo port upgrade outdated
sudo port upgrade installed

以下は、log。

MBA-0020:~ guutara$ sudo port selfupdate
Warning: port definitions are more than two weeks old, consider using selfupdate
--->  Updating the ports tree
--->  Updating MacPorts base sources using rsync
MacPorts base version 2.0.0 installed,
MacPorts base version 2.0.1 downloaded.
--->  MacPorts base is outdated, installing new version 2.0.1
Installing new MacPorts release in /opt/local as root:admin; permissions 0755; Tcl-Package in /Library/Tcl


The ports tree has been updated. To upgrade your installed ports, you should run
  port upgrade outdated

MBA-0020:~ guutara$ sudo port upgrade outdated
--->  Fetching archive for gdbm
--->  Attempting to fetch gdbm-1.9.1_0.darwin_10.x86_64.tbz2 from http://packages.macports.org/gdbm
--->  Attempting to fetch gdbm-1.9.1_0.darwin_10.x86_64.tbz2.rmd160 from http://packages.macports.org/gdbm
--->  Installing gdbm @1.9.1_0
--->  Cleaning gdbm
--->  Deactivating gdbm @1.8.3_3
--->  Cleaning gdbm
--->  Activating gdbm @1.9.1_0
--->  Cleaning gdbm
--->  Computing dependencies for perl5.12
--->  Fetching archive for perl5.12
--->  Attempting to fetch perl5.12-5.12.3_2.darwin_10.x86_64.tbz2 from http://packages.macports.org/perl5.12
--->  Attempting to fetch perl5.12-5.12.3_2.darwin_10.x86_64.tbz2.rmd160 from http://packages.macports.org/perl5.12
--->  Installing perl5.12 @5.12.3_2
--->  Cleaning perl5.12
--->  Computing dependencies for perl5.12
--->  Deactivating perl5.12 @5.12.3_1
--->  Cleaning perl5.12
--->  Activating perl5.12 @5.12.3_2
--->  Cleaning perl5.12
--->  Computing dependencies for curl-ca-bundle
--->  Fetching archive for curl-ca-bundle
--->  Attempting to fetch curl-ca-bundle-7.21.7_1.darwin_10.noarch.tbz2 from http://packages.macports.org/curl-ca-bundle
--->  Attempting to fetch curl-ca-bundle-7.21.7_1.darwin_10.noarch.tbz2.rmd160 from http://packages.macports.org/curl-ca-bundle
--->  Installing curl-ca-bundle @7.21.7_1
--->  Cleaning curl-ca-bundle
--->  Deactivating curl-ca-bundle @7.21.7_0
--->  Cleaning curl-ca-bundle
--->  Activating curl-ca-bundle @7.21.7_1
--->  Cleaning curl-ca-bundle
--->  Computing dependencies for libiconv
--->  Fetching archive for libiconv
--->  Attempting to fetch libiconv-1.14_0.darwin_10.x86_64.tbz2 from http://packages.macports.org/libiconv
--->  Attempting to fetch libiconv-1.14_0.darwin_10.x86_64.tbz2.rmd160 from http://packages.macports.org/libiconv
--->  Installing libiconv @1.14_0
--->  Cleaning libiconv
--->  Deactivating libiconv @1.13.1_0
--->  Cleaning libiconv
--->  Activating libiconv @1.14_0
--->  Cleaning libiconv
--->  Computing dependencies for ncurses
--->  Fetching archive for ncurses
--->  Attempting to fetch ncurses-5.9_1.darwin_10.x86_64.tbz2 from http://packages.macports.org/ncurses
--->  Attempting to fetch ncurses-5.9_1.darwin_10.x86_64.tbz2.rmd160 from http://packages.macports.org/ncurses
--->  Installing ncurses @5.9_1
--->  Cleaning ncurses
--->  Deactivating ncurses @5.9_0
--->  Cleaning ncurses
--->  Activating ncurses @5.9_1
--->  Cleaning ncurses
--->  Computing dependencies for python27
--->  Fetching archive for python27
--->  Attempting to fetch python27-2.7.2_1.darwin_10.x86_64.tbz2 from http://packages.macports.org/python27
--->  Attempting to fetch python27-2.7.2_1.darwin_10.x86_64.tbz2.rmd160 from http://packages.macports.org/python27
--->  Installing python27 @2.7.2_1
--->  Cleaning python27
--->  Computing dependencies for python27
--->  Deactivating python27 @2.7.2_0
--->  Cleaning python27
--->  Activating python27 @2.7.2_1

To make python 2.7 the default (i.e. the version you get when you run
'python'), please run:
    	sudo port select --set python python27

--->  Cleaning python27
--->  Computing dependencies for p5.12-error
--->  Fetching archive for p5.12-error
--->  Attempting to fetch p5.12-error-0.170.160_3.darwin_10.noarch.tbz2 from http://packages.macports.org/p5.12-error
--->  Attempting to fetch p5.12-error-0.170.160_3.darwin_10.noarch.tbz2.rmd160 from http://packages.macports.org/p5.12-error
--->  Installing p5.12-error @0.170.160_3
--->  Activating p5.12-error @0.170.160_3
Error: Target org.macports.deactivate returned: Active version of p5-error is not 0.170.160_1 but 0.17016_1.
Log for p5-error is at: /opt/local/var/macports/logs/_opt_local_var_macports_registry_portfiles_p5-error_0.17016_1/p5-error/main.log
Warning: Failed to execute portfile from registry for p5-error @0.17016_1
--->  Deactivating p5-error @0.17016_1
--->  Cleaning p5.12-error
--->  Computing dependencies for git-core
--->  Fetching archive for git-core
--->  Attempting to fetch git-core-1.7.6_1+doc+python27.darwin_10.x86_64.tbz2 from http://packages.macports.org/git-core
--->  Fetching git-core
--->  Verifying checksum(s) for git-core
--->  Extracting git-core
--->  Applying patches to git-core
--->  Configuring git-core
--->  Building git-core
--->  Staging git-core into destroot
--->  Installing git-core @1.7.6_1+doc+python27
--->  Cleaning git-core
--->  Computing dependencies for git-core
--->  Deactivating git-core @1.7.6_0+doc+python27
--->  Cleaning git-core
--->  Activating git-core @1.7.6_1+doc+python27
--->  Cleaning git-core
--->  Computing dependencies for p5.12-locale-gettext
--->  Fetching archive for p5.12-locale-gettext
--->  Attempting to fetch p5.12-locale-gettext-1.50.0_6.darwin_10.x86_64.tbz2 from http://packages.macports.org/p5.12-locale-gettext
--->  Attempting to fetch p5.12-locale-gettext-1.50.0_6.darwin_10.x86_64.tbz2.rmd160 from http://packages.macports.org/p5.12-locale-gettext
--->  Installing p5.12-locale-gettext @1.50.0_6
--->  Activating p5.12-locale-gettext @1.50.0_6
Error: Target org.macports.deactivate returned: Active version of p5-locale-gettext is not 1.50.0_5 but 1.05_5.
Log for p5-locale-gettext is at: /opt/local/var/macports/logs/_opt_local_var_macports_registry_portfiles_p5-locale-gettext_1.05_5/p5-locale-gettext/main.log
Warning: Failed to execute portfile from registry for p5-locale-gettext @1.05_5
--->  Deactivating p5-locale-gettext @1.05_5
--->  Cleaning p5.12-locale-gettext
--->  Computing dependencies for help2man
--->  Fetching archive for help2man
--->  Attempting to fetch help2man-1.40.4_1.darwin_10.x86_64.tbz2 from http://packages.macports.org/help2man
--->  Attempting to fetch help2man-1.40.4_1.darwin_10.x86_64.tbz2.rmd160 from http://packages.macports.org/help2man
--->  Installing help2man @1.40.4_1
--->  Cleaning help2man
--->  Computing dependencies for help2man
--->  Deactivating help2man @1.39.3_0
--->  Cleaning help2man
--->  Activating help2man @1.40.4_1
--->  Cleaning help2man
--->  p5-locale-gettext is replaced by p5.12-locale-gettext
--->  Computing dependencies for p5.12-locale-gettext
--->  Cleaning p5.12-locale-gettext

MBA-0020:~ guutara$ sudo port upgrade installed
Password:
--->  p5-error is replaced by p5.12-error
--->  Computing dependencies for p5.12-error
--->  Cleaning p5.12-error
--->  p5-locale-gettext is replaced by p5.12-locale-gettext
--->  Computing dependencies for p5.12-locale-gettext
--->  Cleaning p5.12-locale-gettext